
Ruby - Bug #20397

The nkf license in LEGAL file seems to be obsolete

03/27/2024 05:22 PM - vo.x (Vit Ondruch)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 3.3.0 (2023-12-25 revision

5124f9ac75) [x86_64-linux]

Backport: 3.0: UNKNOWN, 3.1: UNKNOWN, 3.2:

UNKNOWN, 3.3: UNKNOWN

Description

The LEGAL file seems to contain obsolete information about nkf license.

It seems that nkf indeed use such license, but in upstream, it was first changed to MIT and then immediately to zlib license.

Ruby has picked up that change with git|13313688b243882aff7815598ddd9fcbae69bc17

Maybe @naruse (Yui NARUSE) can comment about this.

Associated revisions

Revision a279463d0ebb2fe1d4021ddd4675141deead514b - 06/07/2024 04:38 AM - hsbt (Hiroshi SHIBATA)

[Bug #20397] Removed obsoleted section about nkf

Revision a279463d0ebb2fe1d4021ddd4675141deead514b - 06/07/2024 04:38 AM - hsbt (Hiroshi SHIBATA)

[Bug #20397] Removed obsoleted section about nkf

Revision a279463d - 06/07/2024 04:38 AM - hsbt (Hiroshi SHIBATA)

[Bug #20397] Removed obsoleted section about nkf

History

#1 - 04/03/2024 05:52 AM - shyouhei (Shyouhei Urabe)

nkf is out of tree these days.  Just clearing that section should suffice I think.

#2 - 04/10/2024 04:24 PM - vo.x (Vit Ondruch)

shyouhei (Shyouhei Urabe) wrote in #note-1:

nkf is out of tree these days.  Just clearing that section should suffice I think.

 Well, nkf is part of all currently supported Ruby releases.

Nevertheless, I have also opened ticket here, because the current situation is quite unclear to me. For example the .gemspec file claims Ruby OR

BSD-2-Clause licenses since git|2e3a7f70ae71650be6ea38a483f66ce17ca5eb1d despite the LEGAL file saying something different.

#3 - 04/11/2024 06:24 AM - shyouhei (Shyouhei Urabe)

Yes, releases do include nkf.  But the repo is split.  I think nkf's situation shall be cleared for its own sake.  LEGAL should no longer be the primary

source of truth for that library.

#4 - 06/07/2024 05:32 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

Applied in changeset git|a279463d0ebb2fe1d4021ddd4675141deead514b.
